Debian Bug report logs - #720878
ITP: ngrok -- secure introspectable tunnels to localhost

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Vincent Bernat <bernat@debian.org>

Date: Sun, 25 Aug 2013 21:30:01 UTC

Owned by: Vincent Bernat <bernat@debian.org>

Severity: wishlist

Fixed in version ngrok/1.6+dfsg-1

Done: Vincent Bernat <bernat@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#720878; Package wnpp. (Sun, 25 Aug 2013 21:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Bernat <bernat@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 25 Aug 2013 21:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: ngrok -- secure introspectable tunnels to localhost
Date: Sun, 25 Aug 2013 23:27:24 +0200
Package: wnpp
Severity: wishlist
Owner: Vincent Bernat <bernat@debian.org>

* Package name    : ngrok
  Version         : 0.17
  Upstream Author : Alan Shreve <alan@inconshreveable.com>
* URL             : https://ngrok.com/
* License         : Apache-2.0
  Programming Lang: Go
  Description     : secure introspectable tunnels to localhost

ngrok creates a tunnel from the public internet to a port on your
local machine. You can give this URL to anyone to allow them to try
out a web site you're developing without doing any deployment.

It captures all traffic through the tunnel. It displays information
about the HTTP traffic for your inspection. Raw request/response
bytes, parsed headers and form data, JSON/XML syntax checking and more
are included. It can also replay requests.

By default, ngrok will use ngrok.com as a third-party relay. This
service is provided at no-cost and without registration but it is
possible to get additional features by signing up in the service
(which is pay-as-you-want kind). However, it is possible to setup and
use its own server.



Reply sent to Vincent Bernat <bernat@debian.org>:
You have taken responsibility. (Thu, 13 Feb 2014 21:54:10 GMT) Full text and rfc822 format available.

Notification sent to Vincent Bernat <bernat@debian.org>:
Bug acknowledged by developer. (Thu, 13 Feb 2014 21:54:10 GMT) Full text and rfc822 format available.

Message #10 received at 720878-close@bugs.debian.org (full text, mbox):

From: Vincent Bernat <bernat@debian.org>
To: 720878-close@bugs.debian.org
Subject: Bug#720878: fixed in ngrok 1.6+dfsg-1
Date: Thu, 13 Feb 2014 21:52:18 +0000
Source: ngrok
Source-Version: 1.6+dfsg-1

We believe that the bug you reported is fixed in the latest version of
ngrok, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 720878@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Bernat <bernat@debian.org> (supplier of updated ngrok package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Fri, 31 Jan 2014 21:50:54 +0100
Source: ngrok
Binary: ngrok-server ngrok-client
Architecture: source amd64
Version: 1.6+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Vincent Bernat <bernat@debian.org>
Changed-By: Vincent Bernat <bernat@debian.org>
Description: 
 ngrok-client - secure introspectable tunnels to localhost - client part
 ngrok-server - secure introspectable tunnels to localhost - server part
Closes: 720878
Changes: 
 ngrok (1.6+dfsg-1) unstable; urgency=low
 .
   * Initial release. Closes: #720878.
Checksums-Sha1: 
 723a34e5262cd71e996f9d79ce0fb05e72127d3d 2179 ngrok_1.6+dfsg-1.dsc
 d2993bc668d4edd9d0d20fe981488f4b31724bd1 58686 ngrok_1.6+dfsg.orig.tar.gz
 2d3eef37272a8c77efba296c4e030103756c2e15 7296 ngrok_1.6+dfsg-1.debian.tar.xz
 2ec4e9cbaee22a0ebda019bb87e6c7b60798c564 1199506 ngrok-server_1.6+dfsg-1_amd64.deb
 2ecbdbcc4b5b58a1b0a9a7a1e844fc3790a677b4 1631462 ngrok-client_1.6+dfsg-1_amd64.deb
Checksums-Sha256: 
 fcd661fc9b6f8bfd1e56c2297c0984d65217a5de18a7ce2bd5eaeb6fc57f4641 2179 ngrok_1.6+dfsg-1.dsc
 2f3af7d17858276ba0539b8f042996e0066625a8d19053904eea73180b4f4591 58686 ngrok_1.6+dfsg.orig.tar.gz
 5a44775cadf87aa0a5b9576294824d093f35eee00c92a3d02422d2d9ea078c75 7296 ngrok_1.6+dfsg-1.debian.tar.xz
 e4df3ff4dbfe8c782a90185694f941c8076266d3ff42e1be7f74ee79fff27172 1199506 ngrok-server_1.6+dfsg-1_amd64.deb
 aa80c970a5421d72c227b00a92785fef9124bac71b8018f3355d488e67b72f44 1631462 ngrok-client_1.6+dfsg-1_amd64.deb
Files: 
 bf2d16ee842eec513a68f2e57e556f44 2179 web extra ngrok_1.6+dfsg-1.dsc
 b89812931fd1246f14faaee91bb78807 58686 web extra ngrok_1.6+dfsg.orig.tar.gz
 677e146638f774c97b45c97956baa2f5 7296 web extra ngrok_1.6+dfsg-1.debian.tar.xz
 e4416f36f14ee351c38d8d7d06442fad 1199506 web extra ngrok-server_1.6+dfsg-1_amd64.deb
 180eeb92ce8616ef06fbfee82892d542 1631462 web extra ngrok-client_1.6+dfsg-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQIcBAEBCAAGBQJS/TkBAAoJEJWkL+g1NSX5U+4QAImGHNUYtLHHiPaaLeHjSbpO
O+8FvAKp6z4GcfFD0EE0vDS0Bepc48Af2D+qR/G/JWrGzhsI+tSmVjn7RTKH5V4n
ZAloDUgdb8AgRW82mRhdU7Q4mQ5/weY4j13+N+yFxM+1K3An3wj6OpmNpuKXW2IF
0jGc1nsTTdiugS6VaeCAQfqMqRPWVyNm14wNQF0XG48c6CXjNt48iHvQF/rPXLPD
R39I3zsO6i4EBvmyME+PVslZRaN5638Hjo15j4et9/kBgDMehAmN+1FZt0OpEI7e
BM6w9eD7RilBUDyvll7HVcXc8fb4itD6K1w1M7/ktv52gJRJVPNmQ2T3nSfD9mXu
D04IrBqgt8+d1NAlr3V2a3T95ZP2v110N7YbBhqbuzK2REiE23dE6MlPSnFLKqri
nrc0fjdV0HoWNte6Js7BmqI3E4Id/BgCSR5Jz2WESIemWlJRY8mwv3dPGCjoNHoY
eS5tdYwaKOWhOOWNn+8CbbrdT0TR76o1Mq5O7CIAbpIEHRUL9pUfvcZtAdN9DrZr
ngrmIxYdQxxb2vyNQEUaS/mDFEm855f4sOL7+1pNP4yAwbc18D0AoDmqMouW2A8e
bOddqvq4X32aZUc0byvVshPvkmy+pzauIyHoPRNex/YPqzOzGcDHGuX/U7BShBvi
gi9Ycqn0bxP1WHLgAG7z
=qcs1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Mar 2014 07:33:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:30:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.